<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     Alternative Menu With Top Menu Icon & Button Remover
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function CustomTitleLimit_Admin(&$admin_areas)
{
	global $txt;
	
	// Load the AlternativeMenu language
	loadLanguage('KarmaWeight');

	// Add our menu item	
	$admin_areas['config']['areas']['modsettings']['subsections']['customtitlelimit'] = array($txt['KarmaWeight'],);
}


function CustomTitleLimit_Settings(&$subActions)
{
	global $txt, $scripturl, $context, $modSettings, $settings;
	
	// Load the AlternativeMenu language
	loadLanguage('KarmaWeight');

	// Add AlternativeMenu Settings
	$subActions['karmaweight'] = 'KarmaWeight';
}

function CustomTitleLimit($return_config = false)
{
	global $txt, $scripturl, $context, $settings, $sc, $modSettings;

	$config_vars = array(
		// Mod authors, feel free to modify this alternative menu but don't remove this statement and basic menu!!
		'',
			array('check', 'karma_weight_enable'),
			array('int', 'karma_weight'),
		'',
			array('check', 'give_by_karma_enable'),
			array('int', 'give_by_karma'),
			array('text', 'give_by_karma_msg', 'text'),
		'',
			array('check', 'karma_weight_limit_enable'),
			array('int', 'karma_weight_limit'),
		'',
			array('check', 'karma_weight_use_pool'),
	);

	// Make it even easier to add new settings.
	call_integration_hook('integrate_karma_weight_settings', array(&$config_vars));

	if ($return_config)
		return $config_vars;

	$context['post_url'] = $scripturl . '?action=admin;area=featuresettings;sa=karma';
	$context['settings_title'] = $txt['CustomTitleLimit'];
	
	// Saving?
	if (isset($_GET['save']))
	{
		checkSession();

		$save_vars = $config_vars;

		// This line is to help mod authors do a search/add after if you want to add something here. Keyword: FOOT TAPPING SUCKS!
		saveDBSettings($save_vars);

		// This line is to help mod authors do a search/add after if you want to add something here. Keyword: I LOVE TEA!
		redirectexit('action=admin;area=modsettings;sa=customtitlelimit');
	}

	// This line is to help mod authors do a search/add after if you want to add something here. Keyword: RED INK IS FOR TEACHERS AND THOSE WHO LIKE PAIN!
	prepareDBSettingContext($config_vars);
}
?>